set  wrap off
set linesize 100
set  feedback off
set  pagesize 0
set  verify off
set TERMOUT off

SPOOL ydeletey.sql
SELECT 'delete from '||table_name||';' FROM user_tables

spool off
set termout on
@ydeletey.sql
exit